package email;

import com.dayou.BaseApplication;
import com.dayou.configuration.MailSenderConfig;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Objects;

@SpringBootTest(classes = BaseApplication.class)
@RunWith(value = SpringJUnit4ClassRunner.class)
public class EmailTests {

    @Autowired
    private MailSenderConfig senderConfig;

    @Test
    public void sendMail() {

        JavaMailSenderImpl mailSender = senderConfig.getSenderByName("gougengquan@qq.com");

        //创建SimpleMailMessage对象
        SimpleMailMessage message = new SimpleMailMessage();
        //邮件发送人
        message.setFrom(Objects.requireNonNull(mailSender.getUsername()));
        //邮件接收人
        message.setTo("g2d134@163.com");
        //邮件主题
        message.setSubject("测试邮件");
        //邮件内容
        message.setText("测试邮件内容");
        //发送邮件
        mailSender.send(message);
    }

}
